Package org.bukkit

# Class Particle.DustTransition

java.lang.Object
org.bukkit.Particle.DustOptions
org.bukkit.Particle.DustTransition

Enclosing class:
  Particle

public static class Particle.DustTransition extends Particle.DustOptions
Options which can be applied to a color transitioning dust particles.

## Constructor Summary

Constructors
Constructor
Description
`DustTransition(@NotNull Color fromColor, @NotNull Color toColor, float size)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Color`
`getToColor()`
The final of the particles to be displayed.

### Methods inherited from class org.bukkit.Particle.DustOptions

`getColor, getSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DustTransition

public DustTransition(@NotNull @NotNull Color fromColor, @NotNull @NotNull Color toColor, float size)

## Method Details

### getToColor

@NotNull public @NotNull Color getToColor()
The final of the particles to be displayed.

Returns:
  final particle color